package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficDeathRate;
import com.lightinit.hsdatashow.entity.TrafficDeathRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TrafficDeathRateMapper {
    long countByExample(TrafficDeathRateExample example);

    int deleteByExample(TrafficDeathRateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficDeathRate record);

    int insertSelective(TrafficDeathRate record);

    List<TrafficDeathRate> selectByExample(TrafficDeathRateExample example);

    TrafficDeathRate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficDeathRate record, @Param("example") TrafficDeathRateExample example);

    int updateByExample(@Param("record") TrafficDeathRate record, @Param("example") TrafficDeathRateExample example);

    int updateByPrimaryKeySelective(TrafficDeathRate record);

    int updateByPrimaryKey(TrafficDeathRate record);
}